Bug 214261 - linux text mode installation sets inittab to boot to runlevel 3
linux text mode installation sets inittab to boot to runlevel 3
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-11-06 15:05 EST by David G. Mackay
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-08 10:27:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David G. Mackay 2006-11-06 15:05:32 EST
Description of problem:
A text mode installation set inittab to boot to runlevel 3 by default, even
though I had installed X and Gnome.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select linux text mode install
2. Install packages (I used package customization, including Gnome)
3. Boot after install
Actual results:
Default boot to runlevel 3 text console

Expected results:
Boot to Gnome Desktop

Additional info:
If this is a feature, and not a bug based on the assumption that a text mode
installation indicates a problem with graphics operation, then displaying and/or
logging a warning about how to edit inittab to reset default runlevel to 5 would
be helpful to new users that might not be familiar enough to correct it on their
Comment 1 Jeremy Katz 2006-11-08 10:27:37 EST
This is very intentional -- the default is that if your system is capable, we do
a graphical install.  If you've booted with 'linux text', then you've already
overriden that and are in the land of being a power user.

Note You need to log in before you can comment on or make changes to this bug.